From 8a10de5d20b9b5520ab283d9d8acd487a710f2b2 Mon Sep 17 00:00:00 2001
From: Cameron Nemo <cnemo@tutanota.com>
Date: Fri, 5 Jul 2019 19:22:12 -0700
Subject: [PATCH] frr: update to 7.1.

---
 srcpkgs/frr/template | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/frr/template b/srcpkgs/frr/template
index 0fe205bb08e..6371bcbba9d 100644
--- a/srcpkgs/frr/template
+++ b/srcpkgs/frr/template
@@ -1,6 +1,6 @@
 # Template file for 'frr'
 pkgname=frr
-version=7.0.1
+version=7.1
 revision=1
 wrksrc="${pkgname}-${pkgname}-${version}"
 build_style=gnu-configure
@@ -21,7 +21,7 @@ maintainer="Cameron Nemo <camerontnorman@gmail.com>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://frrouting.org"
 distfiles="https://github.com/FRRouting/frr/archive/${pkgname}-${version}.tar.gz"
-checksum=5b74fc2c730e9973eab03546415f8dd7b36fa00fbf0bc856458266773dd5ae6d
+checksum=1a66ab4fdb9718997170e9da79d52e5bfdaabc0dac396e4beb758af7bdd48e4f
 nocross="http://ix.io/1rQ6"
 system_groups="_frrvty"
 system_accounts="_frr"
@@ -34,8 +34,10 @@ pre_configure() {
 }
 
 post_install() {
-	# LSB init script is not needed
-	rm -f -- "${DESTDIR}/usr/bin/frr"
+	# LSB init script and friends are not needed
+	for cmd in frr watchfrr watchfrr.sh frrcommon.sh frrinit.sh; do
+		rm -f -- "${DESTDIR}/usr/bin/${cmd}"
+	done
 
 	# frr-reload wrapper script hardcodes sbindir as usr/lib/frr, avoid it
 	rm -f -- "${DESTDIR}/usr/bin/frr-reload"
